<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::actuator::BlCtrlV2_x4 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1actuator_1_1_bl_ctrl_v2__x4.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1actuator_1_1_bl_ctrl_v2__x4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::actuator::BlCtrlV2_x4 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe integrant les drivers i2c Mikrokopter.  
 <a href="classframework_1_1actuator_1_1_bl_ctrl_v2__x4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_bl_ctrl_v2__x4_8h_source.html">BlCtrlV2_x4.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::actuator::BlCtrlV2_x4:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1actuator_1_1_bl_ctrl_v2__x4.png" usemap="#framework::actuator::BlCtrlV2_x4_map" alt=""/>
  <map id="framework::actuator::BlCtrlV2_x4_map" name="framework::actuator::BlCtrlV2_x4_map">
<area href="classframework_1_1actuator_1_1_bldc.html" title="Virtual class for brushless drivers. " alt="framework::actuator::Bldc" shape="rect" coords="0,112,196,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,196,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,196,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8951eb431d9fa4709ccde04920b97299"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8951eb431d9fa4709ccde04920b97299"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>BlCtrlV2_x4</b> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, <a class="el" href="classframework_1_1core_1_1_i2c_port.html">core::I2cPort</a> *i2cport)</td></tr>
<tr class="separator:a8951eb431d9fa4709ccde04920b97299"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72acf19c7744d4e031a1a2cd97907178"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72acf19c7744d4e031a1a2cd97907178"></a>
<a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void) const </td></tr>
<tr class="separator:a72acf19c7744d4e031a1a2cd97907178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1actuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1actuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></td></tr>
<tr class="memitem:ae854584af7c17133ca05ddf6491fd050 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae854584af7c17133ca05ddf6491fd050"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Bldc</b> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="separator:ae854584af7c17133ca05ddf6491fd050 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a614de3f667986ca454834709907b49a4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a614de3f667986ca454834709907b49a4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Bldc</b> (const <a class="el" href="classframework_1_1core_1_1_object.html">core::Object</a> *parent, std::string name)</td></tr>
<tr class="separator:a614de3f667986ca454834709907b49a4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eed6179a1764d34e4fa4bc4d93bf9c0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1eed6179a1764d34e4fa4bc4d93bf9c0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Lock</b> (void) const </td></tr>
<tr class="separator:a1eed6179a1764d34e4fa4bc4d93bf9c0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcd93cb4ff2b273ef2483018cc16da00 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcd93cb4ff2b273ef2483018cc16da00"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Unlock</b> (void) const </td></tr>
<tr class="separator:abcd93cb4ff2b273ef2483018cc16da00 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964de7e5226e6ee2317ec3d4d13308a0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a964de7e5226e6ee2317ec3d4d13308a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetEnabled</b> (bool status)</td></tr>
<tr class="separator:a964de7e5226e6ee2317ec3d4d13308a0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab03939e30e0d51b2b1d4fe6a693c4d41 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab03939e30e0d51b2b1d4fe6a693c4d41"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void) const </td></tr>
<tr class="separator:ab03939e30e0d51b2b1d4fe6a693c4d41 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a82cbeddf5ba1154bf59348231761b4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a82cbeddf5ba1154bf59348231761b4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRoll</b> (float value)</td></tr>
<tr class="separator:a9a82cbeddf5ba1154bf59348231761b4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2859bcc878bd5b7c029965ff89b202a3 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2859bcc878bd5b7c029965ff89b202a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitch</b> (float value)</td></tr>
<tr class="separator:a2859bcc878bd5b7c029965ff89b202a3 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c5fd0347461dd4687c10f21e0329aec inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c5fd0347461dd4687c10f21e0329aec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYaw</b> (float value)</td></tr>
<tr class="separator:a6c5fd0347461dd4687c10f21e0329aec inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46f10b9ed3d0894bd9ca3373956cd984 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46f10b9ed3d0894bd9ca3373956cd984"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrust</b> (float value)</td></tr>
<tr class="separator:a46f10b9ed3d0894bd9ca3373956cd984 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18f2a11ce19172181e2a38b6491aa24f inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18f2a11ce19172181e2a38b6491aa24f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRollTrim</b> (float value)</td></tr>
<tr class="separator:a18f2a11ce19172181e2a38b6491aa24f inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75fd55e889039a358b3a8fb2e12436e8 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75fd55e889039a358b3a8fb2e12436e8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitchTrim</b> (float value)</td></tr>
<tr class="separator:a75fd55e889039a358b3a8fb2e12436e8 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33e842e5ef172fb4dc81527926d49d52 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33e842e5ef172fb4dc81527926d49d52"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawTrim</b> (float value)</td></tr>
<tr class="separator:a33e842e5ef172fb4dc81527926d49d52 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53e4d5506fa675f398aae5e55ca0f663 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53e4d5506fa675f398aae5e55ca0f663"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrustTrim</b> (float value)</td></tr>
<tr class="separator:a53e4d5506fa675f398aae5e55ca0f663 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceb0021944eae99f5bca3eb3d5862f71 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aceb0021944eae99f5bca3eb3d5862f71"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartTrimValue</b> (void) const </td></tr>
<tr class="separator:aceb0021944eae99f5bca3eb3d5862f71 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57606ac2053080db733e5617cdd928c9 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57606ac2053080db733e5617cdd928c9"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartValue</b> (void) const </td></tr>
<tr class="separator:a57606ac2053080db733e5617cdd928c9 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d792d3ad02a3805c4e501533d70bbf8 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d792d3ad02a3805c4e501533d70bbf8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Update</b> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time)</td></tr>
<tr class="separator:a7d792d3ad02a3805c4e501533d70bbf8 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a330bc08be3b9112f09b5d28f2af672 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a330bc08be3b9112f09b5d28f2af672"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a9a330bc08be3b9112f09b5d28f2af672 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br/></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br/></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br/></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br/></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br/></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br/></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br/></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br/></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br/></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br/></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br/></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br/></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1actuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1actuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></td></tr>
<tr class="memitem:a70f59019e171ae233c7e537e52cb3383 inherit pro_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70f59019e171ae233c7e537e52cb3383"></a>
<a class="el" href="classframework_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void) const </td></tr>
<tr class="separator:a70f59019e171ae233c7e537e52cb3383 inherit pro_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1actuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1actuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></td></tr>
<tr class="memitem:ae2db6e2ecceb466b142f743bca477680 inherit pro_attribs_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2db6e2ecceb466b142f743bca477680"></a>
class Bldc_impl *&#160;</td><td class="memItemRight" valign="bottom"><b>pimpl_</b></td></tr>
<tr class="separator:ae2db6e2ecceb466b142f743bca477680 inherit pro_attribs_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe integrant les drivers i2c Mikrokopter. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1actuator.html">actuator</a></li><li class="navelem"><a class="el" href="classframework_1_1actuator_1_1_bl_ctrl_v2__x4.html">BlCtrlV2_x4</a></li>
    <li class="footer">Generated on Fri Apr 4 2014 14:47:48 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
